package com.yunan.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户实体类
 */
@Data
public class Users implements Serializable {
    private long id;
    /** 用户名*/
    private String username;
    /** 密码*/
    private String password;
    /** 邮箱*/
    private String email;
    /** 创建用户信息时间 */
    private Date createdTime;
    /** 修改用户信息时间 */
    private String updatedTime;
    /** 用户状态*/
    private int state;

    @Override
    public String toString() {
        return "Users{" +
                "username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", email='" + email + '\'' +
                ", createTime='" + createdTime + '\'' +
                ", updateTime='" + updatedTime + '\'' +
                ", state=" + state +
                '}';
    }
}
